summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/updateCache
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2013-12-13 13:22:26 +0000
committerramon <ramongomez@us.es>2013-12-13 13:22:26 +0000
commitf9e03adb9ed848602ff805dd0d9dfc2a27ff59ec (patch)
tree87dfbf5321a4331d5a0bb9e9ca5d896ad4d5ba4f /client/shared/scripts/updateCache
parentd473bb925da6a79bc19b0fa545a5dbf8f878ab9e (diff)
#537 #565: Solución problema al obtener salida de error de comando redirigido a tubería.
git-svn-id: https://opengnsys.es/svn/branches/version1.0@4108 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client/shared/scripts/updateCache')
-rwxr-xr-xclient/shared/scripts/updateCache2
1 files changed, 1 insertions, 1 deletions
diff --git a/client/shared/scripts/updateCache b/client/shared/scripts/updateCache
index b531da73..01c5896c 100755
--- a/client/shared/scripts/updateCache
+++ b/client/shared/scripts/updateCache
@@ -229,7 +229,7 @@ case "$PROTOCOLO" in
echo -e "\n rsync -aHAX OPTRSYNC --quiet $USERRSYNC@$REPOIP::ogimages/$DIRMOUNT/ $DIRLOCAL |tee -a $OGLOGSESSION $OGLOGFILE"
rsync -aHAX$OPTRSYNC --quiet $USERRSYNC@$REPOIP::ogimages/$DIRMOUNT/ $DIRLOCAL |tee -a $OGLOGSESSION $OGLOGFILE
# RETVAL="1" -> OK RETVAL="2" -> error # valores igual que ogUpdateCacheIsNecesary
- [ $? == 0 ] && RETVAL="1"|| RETVAL="2"
+ [ ${PIPESTATUS[0]} == 0 ] && RETVAL="1"|| RETVAL="2"
# Desmonto las imagenes
ogUnmountImage CACHE "$IMGNAME" $IMGTYPE
ogUnmountImage REPO "$IMGNAME" $IMGTYPE